View Issue Details

IDProjectCategoryView StatusLast Update
0019351mantisbtbugtrackerpublic2015-04-28 03:37
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-beta.2Fixed in Version1.3.0-beta.2 
Summary0019351: Switching projects changes current page to My View page
Description

Ideally, we would switch the project and stay on the same page unless it doesn't make sense.

Tagsmantishub

Activities

vboctor

vboctor

2015-02-19 02:37

manager   ~0048870

Pull Request: https://github.com/mantisbt/mantisbt/pull/578

Related Changesets

MantisBT: master 9ad6013c

2015-02-19 11:00:37

vboctor

Details Diff
Switching projects should maintain current page

When possible maintain the current page as user switches projects.
A bug was introduced in b78f966e013d494ea27d92bba39d797a1266b7b7
that made switching projects always redirects to default home page.

Fixes 0019351
mod - set_project.php Diff File

Issue History

Date Modified Username Field Change
2015-02-08 23:01 vboctor New Issue
2015-02-19 02:37 vboctor Assigned To => vboctor
2015-02-19 02:37 vboctor Status new => assigned
2015-02-19 02:37 vboctor Note Added: 0048870
2015-02-19 11:04 vboctor Changeset attached => MantisBT master 9ad6013c
2015-02-19 11:04 vboctor Status assigned => resolved
2015-02-19 11:04 vboctor Resolution open => fixed
2015-02-19 11:04 vboctor Fixed in Version => 1.3.0-beta.2
2015-02-21 09:42 atrol Target Version => 1.3.0-beta.2
2015-03-02 08:04 vitsaadmin Issue cloned: 0019421
2015-03-15 19:58 dregad Status resolved => closed
2015-04-28 03:37 vboctor Tag Attached: mantishub